cURL
curl --request GET \
--url 'https://cockroachlabs.cloud/api/v1/clusters/{cluster_id}/restores?pagination.page=SOME_STRING_VALUE&pagination.limit=SOME_INTEGER_VALUE&pagination.as_of_time=SOME_STRING_VALUE&pagination.sort_order=SOME_STRING_VALUE&start_time=SOME_STRING_VALUE&end_time=SOME_STRING_VALUE' \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"restores": [
{
"backup_end_time": "2025-07-09T14:00:00Z",
"backup_id": "1234abcd-1234-1234-abcd-12345678abcd",
"completion_percent": 0,
"created_at": "2025-07-09T15:04:05Z",
"destination_cluster_name": "dest-cluster",
"id": "abcd1234-5678-90ab-cdef-1234567890ab",
"objects": [
{
"database": "mydb",
"schema": "public",
"table": "users"
}
],
"source_cluster_name": "src-cluster",
"status": "PENDING",
"type": "TABLE"
}
],
"pagination": {
"next_page": "<string>",
"previous_page": "<string>"
}
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}List restore jobs
Can be used by the following roles assigned at the organization, folder or cluster scope:
- CLUSTER_ADMIN
- CLUSTER_OPERATOR_WRITER
GET
/
api
/
v1
/
clusters
/
{cluster_id}
/
restores
cURL
curl --request GET \
--url 'https://cockroachlabs.cloud/api/v1/clusters/{cluster_id}/restores?pagination.page=SOME_STRING_VALUE&pagination.limit=SOME_INTEGER_VALUE&pagination.as_of_time=SOME_STRING_VALUE&pagination.sort_order=SOME_STRING_VALUE&start_time=SOME_STRING_VALUE&end_time=SOME_STRING_VALUE' \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"restores": [
{
"backup_end_time": "2025-07-09T14:00:00Z",
"backup_id": "1234abcd-1234-1234-abcd-12345678abcd",
"completion_percent": 0,
"created_at": "2025-07-09T15:04:05Z",
"destination_cluster_name": "dest-cluster",
"id": "abcd1234-5678-90ab-cdef-1234567890ab",
"objects": [
{
"database": "mydb",
"schema": "public",
"table": "users"
}
],
"source_cluster_name": "src-cluster",
"status": "PENDING",
"type": "TABLE"
}
],
"pagination": {
"next_page": "<string>",
"previous_page": "<string>"
}
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the cluster where the restores ran or are currently running.
Query Parameters
- ASC: Sort in ascending order. This is the default unless otherwise specified.
- DESC: Sort in descending order.
Available options:
ASC, DESC The beginning of the time range (inclusive) used to search for restores.
The end of the time range (exclusive) used to search for restores.

